Create application
Create a new application for outbound webhook delivery.
POST
/applications
Create a new application for outbound webhook delivery.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Request Body required
Request body
application/jsonorg_id
string
REQUIRED
Organization ID
env_id
string
REQUIRED
Environment ID
name
string
REQUIRED
Application name
uid
string
REQUIRED
Unique identifier for the application
description
string
Description
metadata
object
Arbitrary metadata
rate_limit
number
Rate limit (requests/sec)
Responses
201
Application created
application/jsonapplication
unknown
REQUIRED
400
Bad request
401
Unauthorized
403
Plan limit reached
409
UID already exists
curl -X POST 'https://hookstream.io/v1/applications' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "org_id": "string", "env_id": "string", "name": "My SaaS App", "uid": "my-saas-app", "description": "string", "metadata": {}, "rate_limit": 0}'
const response = await fetch('https://hookstream.io/v1/applications', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "org_id": "string", "env_id": "string", "name": "My SaaS App", "uid": "my-saas-app", "description": "string", "metadata": {}, "rate_limit": 0 })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://hookstream.io/v1/applications', headers=headers, json={ "org_id": "string", "env_id": "string", "name": "My SaaS App", "uid": "my-saas-app", "description": "string", "metadata": {}, "rate_limit": 0})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{ "org_id": "string", "env_id": "string", "name": "My SaaS App", "uid": "my-saas-app", "description": "string", "metadata": {}, "rate_limit": 0}`) req, _ := http.NewRequest("POST", "https://hookstream.io/v1/applications", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
201
Response
{ "application": { "id": "<string>", "org_id": "<string>", "env_id": "<string>", "name": "<string>", "uid": "<string>", "description": "<string>", "metadata": "<string>", "status": "<string>", "rate_limit": 123, "created_at": "<string>", "updated_at": "<string>", "endpoint_count": 123, "message_count": 123 }}
API Playground
Try this endpoint
POST
/applications